/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.sun.glass.ui.gtk;

import com.sun.glass.ui.Clipboard;
import com.sun.glass.ui.delegate.ClipboardDelegate;

/**
 *
 * @author martin
 */
class GtkClipboardDelegate implements ClipboardDelegate {

    public GtkClipboardDelegate() {
    }

    public Clipboard createClipboard(String clipboardName) {
        if (Clipboard.SYSTEM.equals(clipboardName)) {
            return new GtkSystemClipboard();
        }
        if (Clipboard.DND.equals(clipboardName)) {
            return new GtkDnDClipboard();
        }
        return null;
    }
    
}
